package com.ss.android.ugc.aweme.notice.repo.list.bean;

import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;
import com.ss.android.ugc.aweme.profile.model.User;

public class FriendNotice {
    @c(LIZ = "content")
    public String content;
    @c(LIZ = "schema_url")
    public String openUrl;
    @c(LIZ = "type")
    public int type;
    @c(LIZ = "from_user")
    public User user;

    static {
        Covode.recordClassIndex(95129);
    }

    public String getContent() {
        return this.content;
    }

    public String getOpenUrl() {
        return this.openUrl;
    }

    public int getType() {
        return this.type;
    }

    public User getUser() {
        return this.user;
    }

    public void setContent(String str) {
        this.content = str;
    }

    public void setOpenUrl(String str) {
        this.openUrl = str;
    }

    public void setType(int i) {
        this.type = i;
    }

    public void setUser(User user2) {
        this.user = user2;
    }
}
